# Generated by Django 4.0.4 on 2022-04-16 08:41

import django.contrib.auth.models
import django.contrib.auth.validators
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import model_utils.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('mtt', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('username', models.CharField(error_messages={'unique': 'A user with that username already exists.'}, help_text='Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.', max_length=150, unique=True, validators=[django.contrib.auth.validators.UnicodeUsernameValidator()], verbose_name='username')),
                ('first_name', models.CharField(blank=True, max_length=150, verbose_name='first name')),
                ('last_name', models.CharField(blank=True, max_length=150, verbose_name='last name')),
                ('email', models.EmailField(blank=True, max_length=254, verbose_name='email address')),
                ('is_staff', models.BooleanField(default=False, help_text='Designates whether the user can log into this admin site.', verbose_name='staff status')),
                ('is_active', models.BooleanField(default=True, help_text='Designates whether this user should be treated as active. Unselect this instead of deleting accounts.', verbose_name='active')),
                ('date_joined', models.DateTimeField(default=django.utils.timezone.now, verbose_name='date joined')),
            ],
            options={
                'verbose_name': 'user',
                'verbose_name_plural': 'users',
                'abstract': False,
            },
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
        migrations.CreateModel(
            name='Account',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=25, unique=True, verbose_name='Название')),
                ('key', models.CharField(max_length=255, unique=True, verbose_name='Ключ')),
                ('sms_endpoint', models.CharField(max_length=255, unique=True, verbose_name='Ссылка для смс')),
                ('operator', models.CharField(default='any', max_length=50, verbose_name='Название оператора')),
            ],
        ),
        migrations.CreateModel(
            name='AccountActivation',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tries', models.IntegerField(default=0, verbose_name='Попытки')),
                ('last_try_datetime', model_utils.fields.MonitorField(default=django.utils.timezone.now, monitor='tries', verbose_name='Время последней попытки')),
            ],
        ),
        migrations.CreateModel(
            name='AccountSms',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_success', models.BooleanField(default=False, verbose_name='Смс доставлена')),
                ('account', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='sms', to='accounts.account')),
                ('sms', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='account', to='mtt.sms')),
            ],
        ),
        migrations.CreateModel(
            name='AccountService',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('limit', models.IntegerField(default=0, verbose_name='Макс. продаж')),
                ('priority', models.IntegerField(verbose_name='Приоритет')),
                ('service_code', models.CharField(max_length=20, verbose_name='Обознач.')),
                ('allowed_tries', models.IntegerField(default=1, verbose_name='Кол. попыток')),
                ('try_interval', models.DurationField(default='04:00:10', verbose_name='Время между попытками')),
                ('is_active', models.BooleanField(default=True, verbose_name='Активный')),
                ('account', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='service', to='accounts.account')),
            ],
        ),
    ]
